org.apache.tinkerpop.gremlin.process.computer

## Class Computer

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.computer.Computer

- All Implemented Interfaces:
    Serializable, Cloneable, Function<Graph,GraphComputer>

      public final class Computer
      extends Object
      implements Function<Graph,GraphComputer>, Serializable, Cloneable

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GraphComputer` | `apply(Graph graph)`
    `Computer` | `clone()`
    `static Computer` | `compute()`
    `static Computer` | `compute(Class<? extends GraphComputer> graphComputerClass)`
    `Computer` | `configure(Map<String,Object> configurations)`
    `Computer` | `configure(String key, Object value)`
    `Computer` | `edges(Traversal<Vertex,Edge> edgeFilter)`
    `Map<String,Object>` | `getConfiguration()`
    `Traversal<Vertex,Edge>` | `getEdges()`
    `Class<? extends GraphComputer>` | `getGraphComputerClass()`
    `GraphComputer.Persist` | `getPersist()`
    `GraphComputer.ResultGraph` | `getResultGraph()`
    `Traversal<Vertex,Vertex>` | `getVertices()`
    `int` | `getWorkers()`
    `Computer` | `graphComputer(Class<? extends GraphComputer> graphComputerClass)`
    `Computer` | `persist(GraphComputer.Persist persist)`
    `Computer` | `result(GraphComputer.ResultGraph resultGraph)`
    `String` | `toString()`
    `Computer` | `vertices(Traversal<Vertex,Vertex> vertexFilter)`
    `Computer` | `workers(int workers)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Function

      `andThen, compose, identity`

- - ### Method Detail

    - #### compute

          public static Computer compute()

    - #### compute

          public static Computer compute(Class<? extends GraphComputer> graphComputerClass)

    - #### graphComputer

          public Computer graphComputer(Class<? extends GraphComputer> graphComputerClass)

    - #### configure

          public Computer configure(String key,
                                    Object value)

    - #### configure

          public Computer configure(Map<String,Object> configurations)

    - #### workers

          public Computer workers(int workers)

    - #### persist

          public Computer persist(GraphComputer.Persist persist)

    - #### result

          public Computer result(GraphComputer.ResultGraph resultGraph)

    - #### vertices

          public Computer vertices(Traversal<Vertex,Vertex> vertexFilter)

    - #### edges

          public Computer edges(Traversal<Vertex,Edge> edgeFilter)

    - #### apply

          public GraphComputer apply(Graph graph)

      Specified by:
        `apply` in interface `Function<Graph,GraphComputer>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### clone

          public Computer clone()

      Overrides:
        `clone` in class `Object`

    - #### getGraphComputerClass

          public Class<? extends GraphComputer> getGraphComputerClass()

    - #### getConfiguration

          public Map<String,Object> getConfiguration()

    - #### getVertices

          public Traversal<Vertex,Vertex> getVertices()

    - #### getEdges

          public Traversal<Vertex,Edge> getEdges()

    - #### getPersist

          public GraphComputer.Persist getPersist()

    - #### getResultGraph

          public GraphComputer.ResultGraph getResultGraph()

    - #### getWorkers

          public int getWorkers()

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.